summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMohit Mehta <mohit.mehta@vyatta.com>2008-06-25 07:03:17 +0000
committerMohit Mehta <mohit.mehta@vyatta.com>2008-06-25 07:03:17 +0000
commit762cb0d0e116860bc72d7f0be3c048871da9512f (patch)
tree5eca4d4d237bf6619fb2c29b1e0a915fe028c477
parentf8ee68077f88170c3b01ec187869b0fd8850d7e7 (diff)
downloadquagga-762cb0d0e116860bc72d7f0be3c048871da9512f.tar.bz2
quagga-762cb0d0e116860bc72d7f0be3c048871da9512f.tar.xz
Fix Bug 3435 Protocol MIBs are not supported on upgraded system
- added code in vyatta-quagga.postinst to write smux values into repesctive routing daemon config files if not written till then
-rw-r--r--debian/vyatta-quagga.postinst15
1 files changed, 15 insertions, 0 deletions
diff --git a/debian/vyatta-quagga.postinst b/debian/vyatta-quagga.postinst
index bed2fd3c..366f8299 100644
--- a/debian/vyatta-quagga.postinst
+++ b/debian/vyatta-quagga.postinst
@@ -1,8 +1,23 @@
#!/bin/bash -e
+ETC_DIR=/etc/vyatta/quagga
+
if [ -n "$DEBIAN_SCRIPT_DEBUG" ]; then set -v -x; DEBIAN_SCRIPT_TRACE=1; fi
${DEBIAN_SCRIPT_TRACE:+ echo "#42#DEBUG# RUNNING $0 $*"}
+# if not written already, write the 'smux peer' values into the config files
+# of respective routing daemons to communicate with snmp
+
+if ! grep -q smux $ETC_DIR/ospfd.conf; then
+ echo "smux peer .1.3.6.1.4.1.3317.1.2.5" >> $ETC_DIR/ospfd.conf
+fi
+if ! grep -q smux $ETC_DIR/bgpd.conf; then
+ echo "smux peer .1.3.6.1.4.1.3317.1.2.2" >> $ETC_DIR/bgpd.conf
+fi
+if ! grep -q smux $ETC_DIR/ripd.conf; then
+ echo "smux peer .1.3.6.1.4.1.3317.1.2.3" >> $ETC_DIR/ripd.conf
+fi
+
# This is most likely due to the answer "no" to the "really stop the server"
# question in the prerm script.
if [ "$1" = "abort-upgrade" ]; then